import { CreateNodes, CreateNodesV2, TargetConfiguration } from '@nx/devkit';
import { DevServerConfig } from '@web/dev-server';
import { RunCommandsOptions } from 'nx/src/executors/run-commands/run-commands.impl';
export interface DevServerCliArgs extends Partial<Pick<DevServerConfig, 'rootDir' | 'open' | 'appIndex' | 'preserveSymlinks' | 'nodeResolve' | 'watch' | 'esbuildTarget'>> {
    config?: string;
}
export type WebDevServerTargetPluginOptions = {
    /** The name of the web-dev-server target. */
    targetName?: string;
    /** The configuration of the web-dev-server target. */
    targetConfig?: TargetConfiguration<Partial<RunCommandsOptions> & DevServerCliArgs>;
};
export declare const webDevServerConfigFileNameGlob = "**/@(web-dev-server|wds).config.@(js|cjs|mjs)";
export declare const webDevServerCommand = "web-dev-server";
export declare const createNodes: CreateNodes<WebDevServerTargetPluginOptions>;
export declare const createNodesV2: CreateNodesV2<WebDevServerTargetPluginOptions>;
